summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author David Woodfall <dave@unrealize.co.uk>2010-03-03 14:27:43 -0600
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 13:25:41 +0200
commitb50b680e7b8f4e7924f6fb7ed354de801c499623 (patch)
tree6a1a32abd0091655339e0e21b02462cfeef1368c /system
parentb6928e7c7d3e6eea6f7767a8f776d4eed02d9713 (diff)
downloadslackbuilds-b50b680e7b8f4e7924f6fb7ed354de801c499623.tar.gz
slackbuilds-b50b680e7b8f4e7924f6fb7ed354de801c499623.tar.xz
system/whowatch: Build bump.
Added license to build script.
Diffstat (limited to 'system')
-rw-r--r--system/whowatch/whowatch.SlackBuild26
-rw-r--r--system/whowatch/whowatch.info3
2 files changed, 22 insertions, 7 deletions
diff --git a/system/whowatch/whowatch.SlackBuild b/system/whowatch/whowatch.SlackBuild
index ae34854959..6e54f0ed79 100644
--- a/system/whowatch/whowatch.SlackBuild
+++ b/system/whowatch/whowatch.SlackBuild
@@ -1,13 +1,30 @@
#!/bin/sh
# Slackware build script for Whowatch
-# Written by David Woodfall dave@unrealize.co.uk
-
+# Copyright 2009 David Woodfall <info@davidwoodfall.co.uk>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=whowatch
VERSION=${VERSION:-1.4}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -26,7 +43,7 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -73,4 +90,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
-
diff --git a/system/whowatch/whowatch.info b/system/whowatch/whowatch.info
index 162d928b5b..d4429feb3d 100644
--- a/system/whowatch/whowatch.info
+++ b/system/whowatch/whowatch.info
@@ -7,5 +7,4 @@ DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="David Woodfall"
EMAIL="dave@unrealize.co.uk"
-APPROVED="dsomero"
-
+APPROVED="Erik Hanson"